Summary:        Cross Platform Audio Output Library
Name:           libao
Version:        1.2.0
Release:        4%{?dist}
License:        GPLv2+
URL:            http://xiph.org/ao/
Source0:        http://downloads.xiph.org/releases/ao/%{name}-%{version}.tar.gz
Patch3000:      0001-ao_pulse.c-fix-latency-calculation.patch
# CVE 2017-11548
Patch3001:      d5221655dfd1a2156aa6be83b5aadea7c1e0f5bd.diff
Patch3002:      libao-nanosleep.patch

BuildRequires:  gcc alsa-lib-devel pkgconfig(libpulse) make

%description
Libao is a cross-platform audio library that allows programs to output audio
using a simple API on a wide variety of platforms.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1
sed -i "s/-O20 -ffast-math//" configure


%build
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build


%install
%make_install INSTALL="install -p"

find %{buildroot} -name '*.la' -exec rm -rf {} \;
rm -rf %{buildroot}%{_docdir}/%{name}*



%files
%doc AUTHORS CHANGES COPYING README
%{_libdir}/libao.so.*
%{_libdir}/ao
%{_mandir}/man5/*

%files devel
%doc doc/*.html doc/*.c doc/*.css
%{_includedir}/ao
%{_libdir}/ckport
%{_libdir}/libao.so
%{_libdir}/pkgconfig/ao.pc
%{_datadir}/aclocal/ao.m4


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 08 2023 cunshunxia <cunshunxia@tencent.com> - 1.2.0-1
- initial build
